Subject: Re: bug#35262: Maybe make opening in currently running emacs the default

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 14 Apr 2019 13:59:57 +0100

積丹尼 Dan Jacobson <[email-masked]> writes:

>>>>>> "BLC" == Basil L Contovounesios <[email-masked]> writes:
>
> BLC> It's not clear to me exactly what it is you're asking for, though.  What
> BLC> is the "new way" you refer to?  Can you please elaborate?
>
> I just want every subsequent invocation of
> $ emacs $RANDOM.txt
> to open it within the first. Sort of like saying "emacsclient -n"
> without remembering to.

I would suggest using a shell alias or separate script for that.

> Anyway, these days e.g., Firefox refuses to have two of itself running
> at the same time.

Okay, but Emacs does not suffer from any such limitation.  Besides, I
think you run multiple Firefox instances by using different profiles for
each.

-- 
Basil